[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.LookupKeyFields

Names of fields on which to perform a locate

## Declaration

Source position: db.pas line 437

`published property TField.LookupKeyFields : string read FLookupKeyFields write FLookupKeyFields;`

## Description

LookupKeyFields should contain a semi-colon separated list of field names from the dataset pointed to by the LookupDataset property. These fields will be used when locating a record corresponding to the values in the TField.KeyFields property.

## See also

KeyFields |  | Key fields to use when looking up a field value.
LookupDataset |  | Dataset with lookup values
LookupResultField |  | Name of field to use as lookup value
LookupCache |  | Should lookup values be cached

Documentation generated on: Feb 26 2014